package com.bonus.hn.bearing.capacity.backstage.select.dao;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.ProjectManagerBean;
import com.bonus.hn.bearing.capacity.backstage.select.entity.DataDictBean;
import com.bonus.hn.bearing.capacity.backstage.select.entity.SelectBean;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 包名称：com.bonus.hn.bearing.capacity.backstage.companypro.dao
 * 类名称：ProjectManagerDao
 * 类描述：
 * 创建人：@author xxxxxx
 * 创建时间：2023年11月06日 16:26
 */
@Repository(value = "SelectDao")
public interface SelectDao {
    List<ProjectManagerBean> getProjectManagerTeamsList(ProjectManagerBean o);

    /**
     * 获取数据组字子节点，
     * @param orgType 数据字典dick_val值
     * @return
     */
    List<DataDictBean>getDataDictByDickVal(DataDictBean orgType);

    List<SelectBean> getStandardTeamTypeForSubTeamId(SelectBean o);

    List<SelectBean> getSub(SelectBean o);

    List<SelectBean> getStandardTeamType(SelectBean o);

    List<SelectBean> getStrandTeamType(SelectBean o);

    List<SelectBean> getAnnouncementType(SelectBean o);

    List<SelectBean> getReleaseData(SelectBean o);

    List<SelectBean> getProcessEquipment(SelectBean o);

    List<SelectBean> getProcessEquipments(SelectBean o);
}
